%define _basename qcg-egi-is-conf
%define _parentname qcg-egi-is
%define _sourcedir %{_topdir}/SOURCES/%{_parentname}

%{!?default_package_ext: %define default_package_ext tar.gz}

Summary:	A tool that configures common settings for QCG EGI IS providers.
Name:		%{_basename}
Version:	3.4.0
Release:	4
License:	Apache v2.0
Group:		Tools
Source0:	%{name}-%{version}.%{default_package_ext}
URL:		http://www.qoscosgrid.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch
Requires:	emi-resource-information-service >= 1.0.3-1

%define         _qcg_conf_prefix       /etc/qcg
%define         _info_prefix           /usr/bin


%description
The package provides a tool that configures common settings used by EGI Information Service providers of QCG middleware.

%prep
%setup -T -b 0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_qcg_conf_prefix}/bdii/site
mkdir -p $RPM_BUILD_ROOT%{_info_prefix}

install qcg-info-site-config                $RPM_BUILD_ROOT%{_info_prefix}/

%post
echo ""
echo "The package requires initial configuration in order to be used by QCG providers."
echo "Run qcg-info-site-config -s <site-ID> to set appropriate data."
echo "The list of available site-IDs can be found at https://goc.egi.eu/portal/index.php?Page_Type=Sites"
echo ""
%preun
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %attr(755,root,root) %{_qcg_conf_prefix}
%dir %attr(755,root,root) %{_qcg_conf_prefix}/bdii
%dir %attr(755,root,root) %{_qcg_conf_prefix}/bdii/site

%attr(755,root,root) %{_info_prefix}/qcg-info-site-config

%changelog
* Mon Nov 24 2014 Bartosz Bosak <bbosak@man.poznan.pl> 3.4.0-4
- Updated permissions for files 
* Wed Mar 11 2014 Bartosz Bosak <bbosak@man.poznan.pl> 3.2.0-1
- Initial version of the package
